## org.gnu.gdk
Class PixbufLoader

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.PixbufLoader

public class PixbufLoader
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`PixbufLoader()` Construct a new PixbufLoader
`PixbufLoader(java.lang.String imageType)` Construct a new PixbufLoader

Method Summary
`boolean` `close()`
`protected static boolean` `gdk_pixbuf_loader_close(Handle loader, int error)`
`protected static Handle` `gdk_pixbuf_loader_get_animation(Handle loader)`
`protected static Handle` `gdk_pixbuf_loader_get_pixbuf(Handle loader)`
`protected static int` `gdk_pixbuf_loader_get_type()` BEGINNING OF GENERATED CODE
`protected static Handle` `gdk_pixbuf_loader_new_with_type(java.lang.String imageType, int error)`
`protected static Handle` `gdk_pixbuf_loader_new()`
`protected static boolean` `gdk_pixbuf_loader_write(Handle loader, byte[] buf, int count, int error)`
`Pixbuf` `getPixbuf()`
`PixbufAnimation` `getPixbufAnimation()`
`boolean` `write(byte[] buffer)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixbufLoader

    public PixbufLoader()

  Construct a new PixbufLoader

### PixbufLoader

    public PixbufLoader(java.lang.String imageType)

  Construct a new PixbufLoader

Method Detail

### write

    public boolean write(byte[] buffer)

### getPixbuf

    public Pixbuf getPixbuf()

### getPixbufAnimation

    public PixbufAnimation getPixbufAnimation()

### close

    public boolean close()

### gdk_pixbuf_loader_get_type

    protected static final int gdk_pixbuf_loader_get_type()

  BEGINNING OF GENERATED CODE

### gdk_pixbuf_loader_new

    protected static final Handle gdk_pixbuf_loader_new()

### gdk_pixbuf_loader_new_with_type

    protected static final Handle gdk_pixbuf_loader_new_with_type(java.lang.String imageType,
                                                                  int error)

### gdk_pixbuf_loader_write

    protected static final boolean gdk_pixbuf_loader_write(Handle loader,
                                                           byte[] buf,
                                                           int count,
                                                           int error)

### gdk_pixbuf_loader_get_pixbuf

    protected static final Handle gdk_pixbuf_loader_get_pixbuf(Handle loader)

### gdk_pixbuf_loader_get_animation

    protected static final Handle gdk_pixbuf_loader_get_animation(Handle loader)

### gdk_pixbuf_loader_close

    protected static final boolean gdk_pixbuf_loader_close(Handle loader,
                                                           int error)